﻿#include ../common/functions.jsx

// Exports maps for Physically Based Rendering
// Uses Gloss (instead of Roughness)
// Supports Metalness
// Bumps Normal
// Corona Preset v0.104

function Calibrate()
{
	SetAOExport(false);
    var mapType = GetMapType();
    switch(mapType)
    {
        case "Normal":
        case "Bump":
			var normal = GetBumpedNormal(mapType);
			FlipY(); // Flip Y Normals
			return normal;
        
		case "Albedo":
			var diffuse = GetMergedMap();
            SetMapType("Diffuse"); // Rename to "Diffuse"
            return diffuse;
            
		case "Specular":
			var specular = GetMergedMap();
            SetMapType("MetalColor"); // Rename to "MetalColor"
			return specular;
		
		case "AlbedoM":
			var albedom = GetMergedMap();
            SetMapType("MetalColor_backup"); // Rename to "MetalColor_Converted"
			return albedom;
			
		case "Gloss":
			var gloss = GetMergedMap();
            SetMapType("Glossiness"); // Rename to "Glossiness"
			//exposure(0, 0, 2.2); // Convert to sRGB
			return gloss;
		
		case "Roughness":
			var roughness = GetMergedMap();
			Invert(); // Invert
            SetMapType("Glossiness_backup"); // Rename to "Glossiness_Converted"
			//exposure(0, 0, 2.2); // Convert to sRGB
			return roughness;
		
		case "Metalness":
			var metalness = GetMergedMap();
            SetMapType("BlendMask"); // Rename to "BlendMask"
			return metalness;
		
		case "Height":
			var height = GetMergedMap();
            SetMapType("Displacement"); // Rename to "Displacement"
			return height;
			
		case "Emissive":
			var diffuse = GetMergedMap();
            SetMapType("Self-illum");  // Rename to "Self-illum"
            return diffuse;
		
        default:
            return GetMergedMap();
    }
}

function Finish()
{
    
}